[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#224226: debian-installer: Needs to install language specific packages



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I created a patch for bug#224226.

- - Add language specific routine to base-installer.postinst (I want to
  add more information about other language).
- - Add installing fb module routine for i386 to prebaseconfig.

I'd like to commit this patch. Any comments?

Index: tools/base-installer/debian/postinst
===================================================================
RCS file: /cvsroot/d-i/debian-installer/tools/base-installer/debian/postinst,v
retrieving revision 1.49
diff -u -r1.49 postinst
- --- tools/base-installer/debian/postinst	13 Dec 2003 00:15:56 -0000	1.49
+++ tools/base-installer/debian/postinst	17 Dec 2003 14:25:16 -0000
@@ -89,6 +89,17 @@
     echo "# UNCONFIGURED FSTAB FOR BASE SYSTEM" >> /target/etc/fstab
 fi
 
+# Language specific
+case "`debconf-get debian-installer/language`" in
+  ja)
+    # Japanese
+    apt-install jfbterm || true
+    apt-install unifont || true
+    ;;
+  *)
+    ;;
+esac
+
 /usr/sbin/run-debootstrap \
         --components="${COMPONENTS}" \
         --debian-installer \
Index: tools/prebaseconfig/debian/rules
===================================================================
RCS file: /cvsroot/d-i/debian-installer/tools/prebaseconfig/debian/rules,v
retrieving revision 1.11
diff -u -r1.11 rules
- --- tools/prebaseconfig/debian/rules	8 Nov 2003 09:37:01 -0000	1.11
+++ tools/prebaseconfig/debian/rules	17 Dec 2003 14:25:16 -0000
@@ -34,6 +34,7 @@
 	install -m0644 inittab.install $(DESTDIR)/usr/share/prebaseconfig/inittab
 	for file in \
 		50config-target-network \
+		51framebuffer-module-linux-i386 \
 		90prepare-base-config \
 		93save-install-log \
 		95umount \
- --- tools/prebaseconfig/prebaseconfig.d/51framebuffer-module-linux-i386	2003-11-04 20:04:36.000000000 +0900
+++ tools/prebaseconfig/prebaseconfig.d/51framebuffer-module-linux-i386	2003-12-17 19:28:39.000000000 +0900
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Set framebuffer for second stage
+set -e
+
+if [ "`udpkg --print-architecture`" = "i386" ] && \
+   [ "$TERM_TYPE" = virtual -a -e /dev/fb/0 ] && \
+   [ "`debconf-get debian-installer/framebuffer`" = true ]; then
+  if [ -z "`cat /proc/fb|grep VGA16`" ]; then
+    echo "vesafb" >> /target/etc/modules
+  else
+    echo "vga16fb" >> /target/etc/modules
+  fi
+fi


At Wed, 17 Dec 2003 14:09:50 +0900 (JST),
Kenshi Muto wrote:
> Package: debian-installer
> Severity: important
> Tags: d-i
> 
> I notice there isn't any configuration for installing language
> specific packages.
> 
> For example, base-config uses jfbterm as second stage console for CJK,
> but debian-installer (base-installer.udeb) installs only packages are
> introduced from debootstrap and some specific packages (such as
> discover).
> 
> I'm considering how about base-installer.postinst do something.
> Ex:
> -----------------------
> case "$LANG" in
>   ja_JP)
>       apt-install jfbterm
>       apt-install unifont
>     ;;
>   ...
> esac
> -----------------------
> (I don't believe $LANG can use on base-installer...)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.8 <http://mailcrypt.sourceforge.net/>

iEYEARECAAYFAj/gajwACgkQQKW+7XLQPLFz3wCfcepo69xacghIbBCU29FiaKcr
6rEAni2HZUuIwo+zjUwvy6gOrxrrdJ9m
=v+xk
-----END PGP SIGNATURE-----



Reply to: